CDRParser.cpp File Reference
`#include "CDRParser.h"`
`#include <locale.h>`
`#include <math.h>`
`#include <string.h>`
`#include <sstream>`
`#include <set>`
`#include <boost/algorithm/string.hpp>`
`#include <boost/optional.hpp>`
`#include <boost/property_tree/json_parser.hpp>`
`#include <boost/property_tree/ptree.hpp>`
`#include <boost/spirit/include/qi.hpp>`
`#include "libcdr_utils.h"`
`#include "CDRDocumentStructure.h"`
`#include "CDRInternalStream.h"`
`#include "CDRCollector.h"`
`#include "CDRColorPalettes.h"`

## Macros

#define | BOOST_ALL_NO_LIB 1
#define | BOOST_BIND_GLOBAL_PLACEHOLDERS 1
#define | DUMP_PREVIEW_IMAGE 0

## Variables

constexpr unsigned | MAX_RECORD_NESTING = 1 << 10

## Macro Definition Documentation

## BOOST_ALL_NO_LIB

#define BOOST_ALL_NO_LIB 1

## BOOST_BIND_GLOBAL_PLACEHOLDERS

#define BOOST_BIND_GLOBAL_PLACEHOLDERS 1

## DUMP_PREVIEW_IMAGE

#define DUMP_PREVIEW_IMAGE 0

## Variable Documentation

## MAX_RECORD_NESTING

unsigned MAX_RECORD_NESTING = 1 << 10

constexpr

Referenced by libcdr::CDRParser::parseRecords().